<?php

require 'includes/simplepie.inc';
require 'includes/simplepie_blip.inc';
$feed = new SimplePie();
$feed->set_feed_url('feed://nettuts.blip.tv/rss');
$feed->set_item_class('SimplePie_Item_Blip');
$feed->enable_cache(true);
$feed->set_cache_duration(3600);
$feed->set_cache_location('cache');
$feed->init();
$feed->handle_content_type();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" href="css/default.css" />
<title>Untitled Document</title>
</head>

<body>

<div id="container">
	<h1><?php echo $feed->get_title(); ?></h1>
	<p><?php echo $feed->get_description(); ?></p>
	
	<?php foreach($feed->get_items(0, 20) as $item) : ?>
		
		<div class="entry">
			<a href="http://blip.tv/play/<?php echo $item->get_embed_id();?>" title="<?php echo $item->get_pure_description();?>">
				<img src="http://a.images.blip.tv/<?php echo $item->get_thumbnail_src(); ?>" alt="<?php $item->get_title(); ?>" />
			</a>
		</div>
	
	<?php endforeach; ?>
</div><!--end container-->


<!-- begin scripts -->
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.1/jquery.min.js"></script>
<script type="text/javascript">
	$('.entry a').click(function() {
		var url = this.href;
		var embedString = '<embed src="' + url + '" type="application/x-shockwave-flash" width="640" height="480" allowscriptaccess="always" allowfullscreen="true"></embed>';
		
		$('<div id="video">')
		  .append(embedString)
		  .append('<p>X</p>')
		  .css({
		  	left: $(window).width() / 2 - 320,
			top: '50px' })
		  .appendTo('body')
		  .children('p').click(function() { $(this).parent().remove(); });
		  
		  return false;
	});
</script>





</body>
</html>
